Datadog Service Check
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Datadog Service Check action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Datadog Status Check Action",
"type": "DATADOG_STATUS_CHECK",
"trigger_time": "ON_EVERY_EXECUTION",
"variables": [
{
"key": "datadogHost",
"value": "linux"
}
],
"host_name": "$datadogHost",
"status": 1,
"check": "Pipeline Execution",
"message": "And let me tell you all about it here!",
"region": "EU1",
"integration": {
"identifier": "datadog"
}
}'STATUS200 OK